Groovy Documentation

## org.codehaus.groovy.grails.orm.hibernate
[Java] Class GrailsHibernateDomainClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.orm.hibernate.GrailsHibernateDomainClass

All Implemented Interfaces:
  ExternalGrailsDomainClass

    @SuppressWarnings("rawtypes")
    public class GrailsHibernateDomainClass
    extends AbstractGrailsClass

An implementation of the GrailsDomainClass interface that allows Classes mapped in Hibernate to integrate with Grails' validation, dynamic methods etc. seamlessly.

Authors:
  Graeme Rocher

Since:
  0.1

Constructor Summary
`GrailsHibernateDomainClass(java.lang.Class clazz, SessionFactory sessionFactory, GrailsApplication application, ClassMetadata metaData, java.util.Map defaultConstraints)` Contructor to be used by all child classes to create a new instance and get the name right.

Method Summary
`java.util.Map` | `getAssociationMap()`
`java.util.Map` | `getConstrainedProperties()`
`java.lang.String` | `getFieldName(java.lang.String propertyName)`
`GrailsDomainClassProperty` | `getIdentifier()`
`java.util.Map` | `getMappedBy()`
`java.lang.String` | `getMappingStrategy()`
`GrailsDomainClassProperty[]` | `getPersistantProperties()` @deprecated
`GrailsDomainClassProperty[]` | `getPersistentProperties()`
`GrailsDomainClassProperty[]` | `getProperties()`
`GrailsDomainClassProperty` | `getPropertyByName(java.lang.String name)`
`java.lang.Class` | `getRelatedClassType(java.lang.String propertyName)`
`java.util.Set` | `getSubClasses()`
`Validator` | `getValidator()`
`GrailsDomainClassProperty` | `getVersion()`
`boolean` | `hasPersistentProperty(java.lang.String propertyName)`
`boolean` | `hasSubClasses()`
`boolean` | `isBidirectional(java.lang.String propertyName)`
`boolean` | `isManyToOne(java.lang.String propertyName)`
`boolean` | `isOneToMany(java.lang.String propertyName)`
`boolean` | `isOwningClass(java.lang.Class domainClass)`
`boolean` | `isRoot()`
`void` | `refreshConstraints()`
`void` | `setMappingStrategy(java.lang.String strategy)`
`void` | `setValidator(Validator validator)`

Methods inherited from class AbstractGrailsClass

getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isReadableProperty, newInstance, toString

Constructor Detail

### GrailsHibernateDomainClass

    public GrailsHibernateDomainClass(java.lang.Class clazz, SessionFactory sessionFactory, GrailsApplication application, ClassMetadata metaData, java.util.Map defaultConstraints)

  Contructor to be used by all child classes to create a new instance and get the name right.
  Parameters:
    `clazz` - the Grails class
    `sessionFactory` - The Hibernate SessionFactory instance
    `metaData` - The ClassMetaData for this class retrieved from the SF
    `defaultConstraints` - The default global constraints definition

Method Detail

### getAssociationMap

    public java.util.Map getAssociationMap()

### getConstrainedProperties

    public java.util.Map getConstrainedProperties()

### getFieldName

    public java.lang.String getFieldName(java.lang.String propertyName)

### getIdentifier

    public GrailsDomainClassProperty getIdentifier()

### getMappedBy

    public java.util.Map getMappedBy()

### getMappingStrategy

    public java.lang.String getMappingStrategy()

### getPersistantProperties

    @Deprecated
    public GrailsDomainClassProperty[] getPersistantProperties()

  deprecated:

### getPersistentProperties

    public GrailsDomainClassProperty[] getPersistentProperties()

### getProperties

    public GrailsDomainClassProperty[] getProperties()

### getPropertyByName

    public GrailsDomainClassProperty getPropertyByName(java.lang.String name)

### getRelatedClassType

    public java.lang.Class getRelatedClassType(java.lang.String propertyName)

### getSubClasses

    @SuppressWarnings("unchecked")
    public java.util.Set getSubClasses()

### getValidator

    public Validator getValidator()

### getVersion

    public GrailsDomainClassProperty getVersion()

### hasPersistentProperty

    public boolean hasPersistentProperty(java.lang.String propertyName)

### hasSubClasses

    public boolean hasSubClasses()

### isBidirectional

    public boolean isBidirectional(java.lang.String propertyName)

### isManyToOne

    public boolean isManyToOne(java.lang.String propertyName)

### isOneToMany

    public boolean isOneToMany(java.lang.String propertyName)

### isOwningClass

    public boolean isOwningClass(java.lang.Class domainClass)

### isRoot

    public boolean isRoot()

### refreshConstraints

    public void refreshConstraints()

### setMappingStrategy

    public void setMappingStrategy(java.lang.String strategy)

### setValidator

    public void setValidator(Validator validator)

Groovy Documentation